# pion::PionAdminRights Class Reference

`#include <PionAdminRights.hpp>`

List of all members.

## Detailed Description

PionAdminRights: obtains administrative rights for the process

Definition at line 25 of file PionAdminRights.hpp.

## Public Member Functions

| PionAdminRights (bool use_log=true)
virtual | ~PionAdminRights ()
| destructor releases administrative rights
void | release (void)
| releases administrative rights

## Constructor & Destructor Documentation

pion::PionAdminRights::PionAdminRights | ( | bool | use_log = `true` | ) |

constructs object, obtaining administrative rights; will block if another thread has already obtained rights

Parameters:

  | use_log | if false, then no logging will be performed

Definition at line 29 of file PionAdminRights.cpp.

The documentation for this class was generated from the following files:

- common/include/pion/PionAdminRights.hpp
- common/src/PionAdminRights.cpp